<template>
  <div class="sm:content-center">
    <div class="title">
      <h2 style="text-decoration:underline; font-weight:bold;">Adoptez moi</h2>
    </div>
    <form class="bg-white rounded px-8 pt-6 pb-8 mb-4 form form_2">
      <label class="block text-gray-700 text-sm font-bold mb-2">Votre mail</label>
      <input
        type="mail"
        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline mail"
      />
      <label class="block text-gray-700 text-sm font-bold mb-2">Votre objet</label>
      <input
        id="subject"
        type="text"
        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline sujet"
      />
      <label class="block text-gray-700 text-sm font-bold mb-2">Votre message</label>
      <input
        style="height: 100px;"
        id="body"
        type="text"
        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline body"
      />

      <!-- SWITCH POUR ROBOTS -->

      <button
        @click="sendMail"
        class="text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline envoyer"
        type="button"
        style="margin-top:20px;">
        Envoyez
      </button>
    </form>
    <p class="text-sm">Téléphone :</br></p>
    <a :href="'tel:'+profil.contact.phone" class="text-sm" style="font-size: 18px;"><b>{{profil.contact.phone}}</b></a>
  </div>
</template>
<script>
export default {
  props: {
    profil: {
      type: Object,
      required: true
    }
  },
  methods: {
    sendMail() {
      var subject = document.getElementById("subject").value;
      var body = document.getElementById("body").value;
      if ((subject == "") & (body == "")) {
        return false;
      } else {
        location.href =
          "mailto:" +
          this.profil.contact.mail +
          "?subject= " +
          subject +
          "&body=" +
          body;
      }
    }
  }
};
</script>

<style lang="postcss" scoped>

.contact {
  margin-top: 25px;
  font-weight: 550;
  font-size: 18px;
}
.mail {
  margin-bottom: 1em;
}
.sujet {
  margin-bottom: 1em;
}
.body {
  margin-bottom: 1em;
}

@media screen and (min-width: 640px) {
  .form{
    margin: 1.7em 15em !important;
  }
}

.form_2{
  margin: 25px;
  padding: 1em;
  margin-top: 1.7em;
  box-shadow: 5px 5px 5px lightgrey;
}

.title {
  width: 38%;
  margin: auto auto;
  font-size: 1.2em;
  text-transform: uppercase;
}
.envoyer {
  background: linear-gradient(#660099, #8161ff);
}

</style>
